Mailinglist Archive: opensuse-commit (941 mails)

< Previous Next >
commit openvpn for openSUSE:Factory
Hello community,

here is the log from the commit of package openvpn for openSUSE:Factory checked
in at 2012-04-17 07:47:41
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/openvpn (Old)
and /work/SRC/openSUSE:Factory/.openvpn.new (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "openvpn", Maintainer is "mt@xxxxxxxx"

Changes:
--------
--- /work/SRC/openSUSE:Factory/openvpn/openvpn.changes 2012-02-16
14:58:56.000000000 +0100
+++ /work/SRC/openSUSE:Factory/.openvpn.new/openvpn.changes 2012-04-17
07:47:46.000000000 +0200
@@ -1,0 +2,6 @@
+Thu Mar 29 09:45:56 UTC 2012 - mt@xxxxxxxx
+
+- Fixed SLES build readding Group tags to sub-packages in spec,
+ not require libselinux-devel on SLE-10 and datadir/doc cleanup.
+
+-------------------------------------------------------------------

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ openvpn.spec ++++++
--- /var/tmp/diff_new_pack.GHSpz0/_old 2012-04-17 07:47:47.000000000 +0200
+++ /var/tmp/diff_new_pack.GHSpz0/_new 2012-04-17 07:47:47.000000000 +0200
@@ -16,7 +16,6 @@
#


-
Name: openvpn
Url: http://openvpn.net/
%if 0%{?suse_version}
@@ -42,10 +41,12 @@
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: automake
BuildRequires: iproute2
-BuildRequires: libselinux-devel
BuildRequires: lzo-devel
BuildRequires: openssl-devel
BuildRequires: pam-devel
+%if 0%{?suse_version} > 1010
+BuildRequires: libselinux-devel
+%endif
%if 0%{?suse_version} > 1030
BuildRequires: pkcs11-helper-devel
Requires: pkcs11-helper
@@ -80,6 +81,7 @@

%package down-root-plugin
Summary: OpenVPN down-root plugin
+Group: Productivity/Networking/Security
Requires: %{name} = %{version}

%description down-root-plugin
@@ -102,6 +104,7 @@

%package auth-pam-plugin
Summary: OpenVPN auth-pam plugin
+Group: Productivity/Networking/Security
Requires: %{name} = %{version}

%description auth-pam-plugin
@@ -190,8 +193,7 @@
$RPM_BUILD_ROOT%{plugin_libdir}/
done
# we install docs via spec into _defaultdocdir/name/management-notes.txt
-rm $RPM_BUILD_ROOT%{_datadir}/doc/%name/management-notes.txt
-rmdir $RPM_BUILD_ROOT%{_datadir}/doc/%name
+rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/{OpenVPN,%name}

%clean
if ! test -f /.buildenv; then rm -rf $RPM_BUILD_ROOT; fi


--
To unsubscribe, e-mail: opensuse-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-commit+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages